Subject: Re: bug#73846: [PATCH] Make djvused emit UTF-8 encoded text

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Oct 2024 08:26:27 +0300

> Cc: "Tassilo Horn" <[email-masked]>
> From: Visuwesh <[email-masked]>
> Date: Thu, 17 Oct 2024 09:42:30 +0530
> 
> This is a small patch to make djvused emit UTF-8 encoded text.  In the
> djvu test file that I sent you, outline in the appendix have non-ASCII
> characters which are written as octal escapes.  Rather than unescaping
> them on Emacs side, we can request djvused to use UTF-8 directly which
> this patch does.  The attached patch does just that.

If you force djvused to emit UTF-8 encoded text, you need to bind
coding-system-for-read to 'utf-8, to make sure Emacs decodes that
correctly.  I'm guessing your locale uses UTF-8 by default, which is
why it worked for you.

Please also add a comment there explaining what the -u switch does and
why we use it there.

Thanks.